From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-wm/muffin/
Date: Mon, 19 Sep 2022 03:42:32 +0000 (UTC) [thread overview]
Message-ID: <1663558925.1bcd9031dce9801af4e5aa61a6e148a5b3711952.sam@gentoo> (raw)
commit: 1bcd9031dce9801af4e5aa61a6e148a5b3711952
Author: Matthew S. Turnbull <sparky <AT> bluefang-logic <DOT> com>
AuthorDate: Wed Aug 24 01:00:34 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Sep 19 03:42:05 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1bcd9031
x11-wm/muffin: 5.2.1 version bump
Add wacom dependency and build flag.
Bug: https://bugs.gentoo.org/863194
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Matthew S. Turnbull <sparky <AT> bluefang-logic.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
x11-wm/muffin/Manifest | 1 +
x11-wm/muffin/muffin-5.2.1.ebuild | 108 ++++++++++++++++++++++++++++++++++++++
2 files changed, 109 insertions(+)
diff --git a/x11-wm/muffin/Manifest b/x11-wm/muffin/Manifest
index c9c91829c264..b824fcd41c64 100644
--- a/x11-wm/muffin/Manifest
+++ b/x11-wm/muffin/Manifest
@@ -1 +1,2 @@
DIST muffin-5.2.0.tar.gz 5197334 BLAKE2B e1c3ffc6f88ef4a6c5b2f3e03838448540baeeacce3029a039b2fae1804c79193f9ee0bb64d9187f4b2f7f902f47211dc5c5fb185e4f2fcf94513bfe2f0913bf SHA512 16d83d10e8ca4f0cc1cb679e8bf8bc0fd0788d656fa39470a921d848bcb0b158ef56bdd681a842e2ca41b40cb0121007d5e7f5f7f1570459b31fd21a78f96932
+DIST muffin-5.2.1.tar.gz 5197177 BLAKE2B 9703a2e2c5ef75c7d4da3e201b60033a7ba549d94106df33aa9b89d0029f52c06fb4be00dd4c4d996bb083a790635a8227c8ff729dc43940f70b679e1b46924d SHA512 fa88a88f77a1cb84c2159fac8ab3ed38ae1054d3a01bb100aa264e8b91493a744da6e83ffad9190f0f7a07bd26022fea12d13a60e213d57f289685fba1810eb6
diff --git a/x11-wm/muffin/muffin-5.2.1.ebuild b/x11-wm/muffin/muffin-5.2.1.ebuild
new file mode 100644
index 000000000000..de4b9641514b
--- /dev/null
+++ b/x11-wm/muffin/muffin-5.2.1.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools gnome2-utils xdg-utils virtualx
+
+DESCRIPTION="Compositing window manager forked from Mutter for use with Cinnamon"
+HOMEPAGE="https://projects.linuxmint.com/cinnamon/ https://github.com/linuxmint/muffin"
+SRC_URI="https://github.com/linuxmint/muffin/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="input_devices_wacom +introspection test xinerama"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-libs/glib-2.37.3:2[dbus]
+ >=dev-libs/json-glib-1.0
+ >=gnome-extra/cinnamon-desktop-5.2:0=
+ gnome-extra/zenity
+ >=media-libs/libcanberra-0.26[gtk3]
+ media-libs/libglvnd
+ >=x11-libs/cairo-1.14:=[X]
+ x11-libs/gdk-pixbuf:2[introspection?]
+ >=x11-libs/gtk+-3.9.12:3[X,introspection?]
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libxcb
+ >=x11-libs/libXcomposite-0.3
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ >=x11-libs/libXi-1.6.0
+ >=x11-libs/libxkbcommon-0.4.3[X]
+ x11-libs/libxkbfile
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ >=x11-libs/pango-1.14.0[X,introspection?]
+ >=x11-libs/startup-notification-0.7:=
+ x11-misc/xkeyboard-config
+
+ input_devices_wacom? ( >=dev-libs/libwacom-0.7:= )
+ introspection? ( >=dev-libs/gobject-introspection-0.9.12:= )
+ xinerama? ( x11-libs/libXinerama )
+"
+DEPEND="
+ ${RDEPEND}
+ x11-base/xorg-proto
+
+ test? ( app-text/docbook-xml-dtd:4.5 )
+"
+# needs gtk-doc, not just -am, for gtk-doc.make
+BDEPEND="
+ dev-util/glib-utils
+ dev-util/gtk-doc
+ dev-util/gtk-doc-am
+ >=dev-util/intltool-0.35
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ default
+ eautoreconf
+ gnome2_disable_deprecation_warning
+}
+
+# Wayland is not supported upstream.
+src_configure() {
+ econf \
+ --disable-gtk-doc \
+ --disable-maintainer-mode \
+ --disable-schemas-compile \
+ --enable-compile-warnings=minimum \
+ --disable-static \
+ --enable-shape \
+ --enable-sm \
+ --enable-startup-notification \
+ --enable-xsync \
+ --enable-verbose-mode \
+ --with-libcanberra \
+ $(use_with input_devices_wacom libwacom ) \
+ $(use_enable introspection) \
+ $(use_enable xinerama)
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+ dodoc HACKING MAINTAINERS *.txt doc/*.txt
+}
+
+src_test() {
+ virtx default
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ gnome2_schemas_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ gnome2_schemas_update
+}
next reply other threads:[~2022-09-19 3:42 UTC|newest]
Thread overview: 84+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-09-19 3:42 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-25 14:22 [gentoo-commits] repo/gentoo:master commit in: x11-wm/muffin/ Joonas Niilola
2024-09-25 13:58 Joonas Niilola
2024-08-23 5:23 Eli Schwartz
2024-08-05 3:36 Eli Schwartz
2024-08-05 3:36 Eli Schwartz
2024-08-05 3:36 Eli Schwartz
2024-08-04 21:18 Eli Schwartz
2024-07-01 17:03 Sam James
2024-05-31 20:13 Sam James
2024-05-28 13:19 Sam James
2024-05-23 17:17 Matt Turner
2024-02-15 13:29 Joonas Niilola
2024-02-15 13:29 Joonas Niilola
2023-10-13 7:43 Joonas Niilola
2023-10-04 8:24 Joonas Niilola
2023-09-26 15:59 WANG Xuerui
2023-07-16 18:34 Sam James
2023-07-16 18:34 Sam James
2023-06-05 9:58 Joonas Niilola
2023-06-05 9:58 Joonas Niilola
2023-05-07 22:14 Sam James
2023-04-30 16:50 Arthur Zamarin
2023-04-29 18:16 Arthur Zamarin
2022-11-22 6:20 Sam James
2022-11-22 6:20 Sam James
2022-11-21 17:46 Arthur Zamarin
2022-10-30 9:40 Sam James
2022-10-30 9:40 Sam James
2022-10-27 8:15 Joonas Niilola
2022-10-27 8:15 Joonas Niilola
2022-10-12 23:09 Sam James
2022-10-12 23:09 Sam James
2022-05-11 2:11 Sam James
2022-05-05 3:01 Sam James
2022-05-05 3:00 Sam James
2022-01-21 17:15 Sam James
2021-12-24 20:00 Jakov Smolić
2021-12-24 19:25 Jakov Smolić
2021-11-23 1:25 Yixun Lan
2021-10-20 1:14 Sam James
2021-10-20 1:14 Sam James
2021-07-31 8:35 Joonas Niilola
2021-06-21 22:26 Sam James
2021-06-12 3:55 Sam James
2021-06-08 7:34 Sam James
2021-06-01 16:28 Joonas Niilola
2021-06-01 16:28 Joonas Niilola
2021-04-16 11:23 Sam James
2021-03-01 13:02 Joonas Niilola
2021-01-24 17:31 Joonas Niilola
2021-01-06 1:05 Sam James
2020-12-29 17:14 Sam James
2020-12-16 22:30 Sam James
2020-09-15 14:20 Joonas Niilola
2020-09-09 2:15 Sam James
2020-09-09 2:15 Sam James
2020-04-20 20:52 Mart Raudsepp
2019-06-07 20:12 Mikle Kolyada
2019-06-04 20:58 Thomas Deutschmann
2018-07-31 8:38 Kristian Fiskerstrand
2018-05-26 11:32 Mart Raudsepp
2018-04-12 19:07 Thomas Deutschmann
2018-04-06 14:00 Aaron Bauman
2017-11-26 23:33 David Seifert
2017-11-26 15:43 Kristian Fiskerstrand
2017-09-05 19:45 Kristian Fiskerstrand
2017-06-24 14:58 Kristian Fiskerstrand
2017-02-11 16:09 Kristian Fiskerstrand
2016-11-22 20:42 Kristian Fiskerstrand
2016-10-01 0:54 Pacho Ramos
2016-09-17 13:29 Kristian Fiskerstrand
2016-06-25 16:53 Pacho Ramos
2016-06-25 16:53 Pacho Ramos
2016-06-11 19:39 Pacho Ramos
2016-06-11 12:06 Pacho Ramos
2016-05-29 12:42 Pacho Ramos
2016-05-29 12:42 Pacho Ramos
2016-03-06 20:52 Mikle Kolyada
2016-01-11 14:26 Pacho Ramos
2015-11-17 20:23 Pacho Ramos
2015-11-17 20:23 Pacho Ramos
2015-09-12 9:11 Agostino Sarubbo
2015-09-07 21:11 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1663558925.1bcd9031dce9801af4e5aa61a6e148a5b3711952.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox